package dnd;


import java.util.ArrayList;
import java.util.List;

import org.richfaces.event.DragEvent;
import org.richfaces.event.DropEvent;



public class DndBean {

	private List types = new ArrayList();
	private Object dragValue;
	private Object testParam;

	public DndBean() {
		super();

		types.add("One");
		types.add("Two");
	}

	public void processDrop(DropEvent event) {
		System.out.println("Bean.processDrop()" + event.getDropValue());
		this.dragValue = event.getDragValue();
	}

	public void processDrag(DragEvent event) {
		System.out.println("Bean.processDrag()"+ event.getDropValue());
	}

	public List getTypes() {
		return types;
	}

	public String dragAction() {
		System.out.println("Bean.dragAction()");
		return null;
	}

	public String dropAction() {
		System.out.println("Bean.dropAction()");
		return null;
	}

	public Object getDragValue() {
		return dragValue;
	}

	public Object getTestParam() {
		return testParam;
	}

	public void setTestParam(Object testParam) {
		this.testParam = testParam;
		System.out.println("Bean.setTestParam()" + testParam);
	}
}